package com.huijy.management.domain;

import com.huijy.common.annotation.Excel;
import com.huijy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 酒店房间对象 tb_shop_room
 *
 * @author lishuwen
 * @date 2021-11-10
 */
public class ShopRoom extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * $column.columnComment
     */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long shopId;

    /**
     * 房间类型
     */
    @Excel(name = "房间类型")
    private String title;

    /**
     * 房间价格
     */
    @Excel(name = "房间价格")
    private String price;

    /**
     * 房间图片
     */
    @Excel(name = "房间图片")
    private String pic;

    /**
     * 房间数量
     */
    @Excel(name = "房间数量")
    private String nums;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setTitle(String room) {
        this.title = room;
    }

    public String getTitle() {
        return title;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getPrice() {
        return price;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public String getPic() {
        return pic;
    }

    public void setNums(String nums) {
        this.nums = nums;
    }

    public String getNums() {
        return nums;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("shopId", getShopId())
                .append("room", getTitle())
                .append("price", getPrice())
                .append("pic", getPic())
                .append("nums", getNums())
                .append("createTime", getCreateTime())
                .toString();
    }
}
